package com.sundata.internalevaluation.calc.model.interfaces;

import com.sundata.internalevaluation.calc.model.CalcResult;
import com.sundata.internalevaluation.calc.model.CalcUnit;

import java.util.Map;

public interface Calc {

    /**
     * 计算之后的方法，可实现为空
     */
    void afterCalc(final Map<String, Object> context);

    /**
     * 计算之前，可实现空
     */
    void beforeCalc(final Map<String, Object> context);

    /**
     * 必须实现的主体计算内容
     *
     * @param thisResult              本计算单元的结果
     * @param sourceResults           源头计算节点的结果
     * @param context                 节点计算参数清单
     * @param calculateInstanceNumber 计算流水号
     */
    void calc(final CalcResult<String, Object> thisResult, String calculateInstanceNumber, final Map<String, Object> context, final Map<CalcUnit, CalcResult<String, Object>> sourceResults);

    /**
     * 启动计算的方法
     *
     * @param sourceResults           源头计算节点的结果
     * @param context                 节点计算参数清单
     * @param calculateInstanceNumber 计算流水号
     * @return
     */
    void startCalc(String calculateInstanceNumber, final Map<String, Object> context, final Map<CalcUnit, CalcResult<String, Object>> sourceResults);
}
