package com.sundata.internalevaluation.configuration.controller;

import com.sundata.common.base.BaseAction;
import com.sundata.internalevaluation.configuration.model.IndexListModel;
import com.sundata.internalevaluation.configuration.service.IndexListConfigService;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/internalevaluation/configuration/IndexListConfigAction")
public class IndexListConfigAction extends BaseAction {
    
    @Autowired
    IndexListConfigService indexListConfigService;

    /**
     * @author: 张艳杰
     * @methodsName: getDataList
     * @description: 指标清单配置初始化
     * @param: HttpServletRequest request, HttpServletResponse response,@RequestBody IndexListModel model
     * @return: List<IndexListModel>
     * @throws:
     */
    @RequestMapping({"getDataList"})
    public List<IndexListModel> getDataList(HttpServletRequest request, HttpServletResponse response,
                                                @RequestBody IndexListModel model) {
        return indexListConfigService.getDataList(model);
    }

    /**
     * @author: 张艳杰
     * @methodsName: createData
     * @description: 指标清单配置新增
     * @param: HttpServletRequest request, HttpServletResponse response,@RequestBody IndexListModel model
     * @return:
     * @throws:
     */
    @RequestMapping({"createData"})
    public void createData(HttpServletRequest request, HttpServletResponse response,
                           @RequestBody IndexListModel model) {
        indexListConfigService.createData(model);
    }

    /**
     * @author: 张艳杰
     * @methodsName: deleteRows
     * @description: 指标清单配置删除
     * @param: HttpServletRequest request, HttpServletResponse response,@RequestBody IndexListModel model
     * @return:
     * @throws:
     */
    @RequestMapping({"deleteRows"})
    public void deleteRows(HttpServletRequest request, HttpServletResponse response,
                           @RequestBody IndexListModel model) {
        indexListConfigService.deleteRows(model);
    }

    /**
     * @author: 张艳杰
     * @methodsName: updateExistData
     * @description: 指标清单配置修改
     * @param: HttpServletRequest request, HttpServletResponse response,@RequestBody IndexListModel model
     * @return:
     * @throws:
     */
    @RequestMapping({"updateExistData"})
    public void updateExistData(HttpServletRequest request, HttpServletResponse response,
                                @RequestBody IndexListModel model) {
        indexListConfigService.updateExistData(model);
    }


    /**
     * @author: 张艳杰
     * @methodsName: selectDetailData
     * @description: 指标清单配置查询
     * @param: HttpServletRequest request, HttpServletResponse response,@RequestBody IndexListModel model
     * @return:
     * @throws:
     */
    @RequestMapping({"selectDetailData"})
    public IndexListModel selectDetailData(HttpServletRequest request, HttpServletResponse response,
                                               @RequestBody IndexListModel model) {
        return indexListConfigService.selectDetailData(model);
    }
}
