package com.sundata.internalevaluation.configuration.controller;


import com.sundata.common.base.BaseAction;
import com.sundata.internalevaluation.configuration.model.RiskControlStrategyModel;
import com.sundata.internalevaluation.configuration.service.RiskControlStrategyService;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/internalevaluation/configuration/RiskControlStrategyAction")
public class RiskControlStrategyAction extends BaseAction {
    
    @Autowired
    RiskControlStrategyService riskControlStrategyService;

    /**
     * @author: 张艳杰
     * @methodsName: getDataList
     * @description: 风控策略配置初始化
     * @param: HttpServletRequest request, HttpServletResponse response,@RequestBody RiskControlStrategyModel model
     * @return: List<RiskControlStrategyModel>
     * @throws:
     */
    @RequestMapping({"getDataList"})
    public List<RiskControlStrategyModel> getDataList(HttpServletRequest request, HttpServletResponse response,
                                            @RequestBody RiskControlStrategyModel model) {
        return riskControlStrategyService.getDataList(model);
    }

    /**
     * @author: 张艳杰
     * @methodsName: createData
     * @description: 风控策略配置新增
     * @param: HttpServletRequest request, HttpServletResponse response,@RequestBody RiskControlStrategyModel model
     * @return:
     * @throws:
     */
    @RequestMapping({"createData"})
    public void createData(HttpServletRequest request, HttpServletResponse response,
                           @RequestBody RiskControlStrategyModel model) {
        riskControlStrategyService.createData(model);
    }

    /**
     * @author: 张艳杰
     * @methodsName: deleteRows
     * @description: 风控策略配置删除
     * @param: HttpServletRequest request, HttpServletResponse response,@RequestBody RiskControlStrategyModel model
     * @return:
     * @throws:
     */
    @RequestMapping({"deleteRows"})
    public void deleteRows(HttpServletRequest request, HttpServletResponse response,
                           @RequestBody RiskControlStrategyModel model) {
        riskControlStrategyService.deleteRows(model);
    }

    /**
     * @author: 张艳杰
     * @methodsName: updateExistData
     * @description: 风控策略配置修改
     * @param: HttpServletRequest request, HttpServletResponse response,@RequestBody RiskControlStrategyModel model
     * @return:
     * @throws:
     */
    @RequestMapping({"updateExistData"})
    public void updateExistData(HttpServletRequest request, HttpServletResponse response,
                                @RequestBody RiskControlStrategyModel model) {
        riskControlStrategyService.updateExistData(model);
    }


    /**
     * @author: 张艳杰
     * @methodsName: selectDetailData
     * @description: 风控策略配置查询
     * @param: HttpServletRequest request, HttpServletResponse response,@RequestBody RiskControlStrategyModel model
     * @return:
     * @throws:
     */
    @RequestMapping({"selectDetailData"})
    public RiskControlStrategyModel selectDetailData(HttpServletRequest request, HttpServletResponse response,
                                           @RequestBody RiskControlStrategyModel model) {
        return riskControlStrategyService.selectDetailData(model);
    }


}
