package com.sundata.internalevaluation.script.cache;


import java.util.LinkedHashMap;
import java.util.Map;

public class ScriptLRUCache<ScriptModel, ObjectPool> extends LinkedHashMap<ScriptModel, ObjectPool> {
    private final int maxSize;

    public ScriptLRUCache(int maxSize) {
        super(maxSize, 0.75f, true); // 设置访问顺序
        this.maxSize = maxSize;
    }

    @Override
    protected boolean removeEldestEntry(Map.Entry<ScriptModel, ObjectPool> eldest) {
        // 当元素数量超过最大大小时，移除最旧的元素
        return size() > maxSize;
    }
}
