package com.sundata.internalevaluation.script.cache;

import java.util.LinkedHashMap;
import java.util.Map;

public class TemplateLRUCache<TemplateModel, ObjectPool> extends LinkedHashMap<TemplateModel, ObjectPool> {
    private final int maxSize;

    public TemplateLRUCache(int maxSize) {
        super(maxSize, 0.75f, true); // 设置访问顺序
        this.maxSize = maxSize;
    }

    @Override
    protected boolean removeEldestEntry(Map.Entry<TemplateModel, ObjectPool> eldest) {
        // 当元素数量超过最大大小时，移除最旧的元素
        return size() > maxSize;
    }
}